import { TextureFilterMode, TextureFormat, TextureWrapMode } from "@galacean/engine-core";
/**
 * Texture2D loader params interface.
 */
export interface Texture2DParams {
    /** Texture format. default  `TextureFormat.R8G8B8A8` */
    format: TextureFormat;
    /** Whether to use multi-level texture, default is true. */
    mipmap: boolean;
    /** Wrapping mode for texture coordinate S. */
    wrapModeU: TextureWrapMode;
    /** Wrapping mode for texture coordinate T. */
    wrapModeV: TextureWrapMode;
    /** Filter mode for texture. */
    filterMode: TextureFilterMode;
    /** Anisotropic level for texture. */
    anisoLevel: number;
    /** Whether the texture data is in sRGB color space, otherwise is linear color space. @defaultValue `true` */
    isSRGBColorSpace: boolean;
}
