import { AssetPromise, Texture, Texture2D, TextureWrapMode } from "@galacean/engine-core";
import { GLTFParser } from "./GLTFParser";
import { GLTFParserContext } from "./GLTFParserContext";
export declare class GLTFTextureParser extends GLTFParser {
    /** @internal */
    static _wrapMap: {
        33071: TextureWrapMode;
        33648: TextureWrapMode;
        10497: TextureWrapMode;
    };
    /** @internal */
    static _parseTexture(context: GLTFParserContext, imageIndex: number, textureIndex: number, sampler?: number, textureName?: string, isSRGBColorSpace?: boolean): AssetPromise<Texture2D>;
    parse(context: GLTFParserContext, textureIndex: number): AssetPromise<Texture>;
    private _isSRGBColorSpace;
}
