/**
 * KTX2 transcode target format.
 */
export declare enum KTX2TargetFormat {
    /** RGB(A) compressed format, 128 bits per 4x4 pixel block. */
    ASTC = 0,
    /** RGB(A) compressed format, 128 bits per 4x4 pixel block. */
    BC7 = 1,
    /** RGB(A) compressed format, 4 bits per pixel if no alpha channel, 8 bits per pixel if has alpha channel. */
    BC1_BC3 = 2,
    /** RGB(A) compressed format, 4 bits per pixel. */
    PVRTC = 3,
    /** RGB(A) compressed format, 4 bits per pixel if no alpha channel, 8 bits per pixel if has alpha channel. */
    ETC = 4,
    /** R format, 8 bits per pixel. */
    R8 = 5,
    /** RG format, 16 bits per pixel. */
    R8G8 = 6,
    /** RGBA format, 32 bits per pixel. */
    R8G8B8A8 = 7
}
