import { Engine, Entity } from "@galacean/engine-core";
import { HierarchyParser } from "../resource-deserialize/resources/parser/HierarchyParser";
import { PrefabResource } from "./PrefabResource";
import { IHierarchyFile, ParserContext } from "../resource-deserialize";
export declare class PrefabParser extends HierarchyParser<PrefabResource, ParserContext<IHierarchyFile, Entity>> {
    readonly prefabResource: PrefabResource;
    static parse(engine: Engine, url: string, data: IHierarchyFile): Promise<PrefabResource>;
    constructor(data: IHierarchyFile, context: ParserContext<IHierarchyFile, Entity>, prefabResource: PrefabResource);
    protected _handleRootEntity(id: string): void;
    protected _clearAndResolve(): PrefabResource;
}
