import { Engine, Entity, ReferResource } from "@galacean/engine-core";
/**
 * The Prefab resource.
 */
export declare class PrefabResource extends ReferResource {
    readonly url: string;
    /** @internal */
    _root: Entity;
    private _dependenceAssets;
    /**
     * @internal
     * @param url - The url of the prefab
     */
    constructor(engine: Engine, url: string);
    /**
     * Instantiate prefab.
     * @returns prefab's root entity
     */
    instantiate(): Entity;
    /**
     * @internal
     */
    _addDependenceAsset(resource: ReferResource): void;
    protected _onDestroy(): void;
}
