import { EngineObject, Entity } from "@galacean/engine-core";
import type { IBasicType, IClass, IEntity, IHierarchyFile, IMethodParams } from "../schema";
import { ParserContext } from "./ParserContext";
export declare class ReflectionParser {
    private readonly _context;
    static customParseComponentHandles: Map<string, Function>;
    static registerCustomParseComponent(componentType: string, handle: Function): void;
    constructor(_context: ParserContext<IHierarchyFile, EngineObject>);
    parseEntity(entityConfig: IEntity): Promise<Entity>;
    parseClassObject(item: IClass): Promise<any>;
    parsePropsAndMethods(instance: any, item: Omit<IClass, "class">): Promise<any>;
    parseMethod(instance: any, methodName: string, methodParams: IMethodParams): Promise<any>;
    parseBasicType(value: IBasicType, originValue?: any): Promise<any>;
    private _getEntityByConfig;
    private static _isClass;
    private static _isClassType;
    private static _isAssetRef;
    private static _isEntityRef;
    private static _isComponentRef;
    private static _isMethodObject;
}
