import { Engine, Scene } from "@galacean/engine-core";
import type { IScene } from "../schema";
import { HierarchyParser } from "../parser/HierarchyParser";
import { ParserContext } from "../parser/ParserContext";
/** @Internal */
export declare class SceneParser extends HierarchyParser<Scene, ParserContext<IScene, Scene>> {
    readonly scene: Scene;
    /**
     * Parse scene data.
     * @param engine - the engine of the parser context
     * @param sceneData - scene data which is exported by editor
     * @returns a promise of scene
     */
    static parse(engine: Engine, sceneData: IScene): Promise<Scene>;
    constructor(data: IScene, context: ParserContext<IScene, Scene>, scene: Scene);
    protected _handleRootEntity(id: string): void;
    protected _clearAndResolve(): Scene;
}
