export declare class BufferReader {
    data: Uint8Array;
    private _dataView;
    private _littleEndian;
    private _position;
    private _baseOffset;
    constructor(data: Uint8Array, byteOffset?: number, byteLength?: number, littleEndian?: boolean);
    get position(): number;
    get offset(): number;
    nextUint8(): number;
    nextUint16(): number;
    nextUint32(): number;
    nextInt32(): number;
    nextInt32Array(len: number): Int32Array;
    nextFloat32(): number;
    nextFloat32Array(len: number): Float32Array;
    nextUint32Array(len: number): Uint32Array;
    nextUint8Array(len: number): Uint8Array;
    nextUint64(): number;
    nextStr(): string;
    /**
     * image data 放在最后
     */
    nextImageData(count?: number): Uint8Array;
    nextImagesData(count: number): Uint8Array[];
    skip(bytes: number): this;
    scan(maxByteLength: number, term?: number): Uint8Array;
}
